<project name="externaltools" default="eclipse" basedir=".">
	<description>
        Launch various maven goals
    </description>


	<target name="eclipse" >
		<echo>Maven: ${maven.executable}</echo>
		<echo>Env: ${env}</echo>
		<echo>Props: ${props}</echo>
		<exec executable="${maven.executable}" dir="${basedir}">
			<arg value="clean"/>
			<arg value="eclipse:clean"/>
			<arg value="eclipse:eclipse"/>
			<arg value="resources:resources" />
			<arg value="war:exploded"/>
			<arg value="-U" />
			<!-- arg value="-o" /-->
			<arg value="-Denv=${env}" />
			<arg value="-Dmaven.javadoc.failOnError=false" />
		</exec>

	</target>
	
	<target name="synch" >
			<echo>Maven: ${maven.executable}</echo>
			<echo>Env: ${env}</echo>
			<echo>Props: ${props}</echo>
			<exec executable="${maven.executable}" dir="${basedir}">
				<arg value="resources:resources" />
				<arg value="war:exploded"/>
				<arg value="-Denv=${env}" />
				<arg value="-o" />
			</exec>
		</target>

	<target name="package">

		<exec executable="${maven.executable}" dir="${basedir}">
			<arg value="clean" />
			<arg value="package" />
			<arg value="-DskipTests=true" />
			<arg value="-Denv=PROD" />
			<arg value="-o" />
		</exec>

	</target>

</project>
